package model

type Gnss struct {
	GnssId                    int64   `xorm:"not null pk autoincr INT(11)" json:"gnssId"`     //
	ProjectId                 int64   `xorm:"INT(11) index" json:"projectId"`                 //项目编号
	GnssType                  int     `xorm:"int default 0" json:"gnssType"`                  //GNSS类型
	AccumulativeDisplacementX float64 `xorm:"decimal(18,6)" json:"accumulativeDisplacementX"` //累计位移X(mm)
	AccumulativeDisplacementY float64 `xorm:"decimal(18,6)" json:"accumulativeDisplacementY"` //累计位移Y(mm)
	AccumulativeDisplacementH float64 `xorm:"decimal(18,6)" json:"accumulativeDisplacementH"` //累计位移H(mm)
	TwoDimensional            float64 `xorm:"decimal(18,6)" json:"twoDimensional"`            //2D
	ThreeDimensional          float64 `xorm:"decimal(18,6)" json:"threeDimensional"`          //3D
	CurrentDisplacementX      float64 `xorm:"decimal(18,6)" json:"currentDisplacementX"`      //当次位移X(mm)
	CurrentDisplacementY      float64 `xorm:"decimal(18,6)" json:"currentDisplacementY"`      //当次位移Y(mm)
	CurrentDisplacementH      float64 `xorm:"decimal(18,6)" json:"currentDisplacementH"`      //当次位移H(mm)
	Azimuth                   float64 `xorm:"decimal(18,6)" json:"azimuth"`                   //方位角(°)
	AccelerationX             float64 `xorm:"decimal(18,6)" json:"accelerationX"`             //X轴加速度(mm)
	AccelerationY             float64 `xorm:"decimal(18,6)" json:"accelerationY"`             //Y轴加速度(mm)
	AccelerationZ             float64 `xorm:"decimal(18,6)" json:"accelerationZ"`             //Z轴加速度(mm)
	CreatedAt                 int64   `xorm:"created" json:"createdAt"`                       //
}
