package model

type LabelFile struct {
	FileId     int64  `xorm:"not null pk autoincr INT(11)" json:"fileId"`
	FileName   string `xorm:"VARCHAR(200)" json:"fileName"`                  //文件名
	FilePath   string `xorm:"VARCHAR(400)" json:"filePath"`                  //文件路径
	CategoryId int    `xorm:"not null SMALLINT default 1" json:"categoryId"` //病害分类, 1:道路 2:桥梁 3:隧道 4:边坡
	FileSize   int64  `xorm:"BIGINT" json:"fileSize"`                        //文件大小
	FileType   int    `xorm:"not null SMALLINT default 1" json:"fileType"`   //文件类型， 1:图片 2: 视频 3:雷达图谱
	LabelType  int    `xorm:"SMALLINT default 1" json:"labelType"`           //标注类型 1: 有病害 2: 无病害
	Pid        int64  `xorm:"INT(11) index default 0" json:"pid"`            //上级文件，当文件是雷达图谱时，需要增加子文件
	CreateAt   int64  `xorm:"created" json:"createAt"`                       //上传时间
	UpdateAt   int64  `xorm:"updated" json:"updateAt"`                       //更新时间
}
