package model

type TrainTask struct {
	TaskId               int64   `xorm:"not null pk autoincr BIGINT(11)" json:"taskId"`
	TrainDatasetId       int64   `xorm:"INT(11) index" json:"trainDatasetId"`
	CategoryId           int     `xorm:"not null SMALLINT default 1" json:"categoryId"` //业务分类, 1:道路 2:桥梁 3:隧道 4:边坡
	TaskName             string  `xorm:"VARCHAR(200)" json:"taskName"`
	TaskDesc             string  `xorm:"VARCHAR(500)" json:"taskDesc"`
	Arithmetic           string  `xorm:"VARCHAR(50)" json:"arithmetic"`
	ImageSize            int     `xorm:"INT" json:"imageSize"`
	BatchSize            int     `xorm:"INT" json:"batchSize"`
	EpochsSize           int     `xorm:"INT" json:"epochsSize"`
	OutputType           string  `xorm:"VARCHAR(20)" json:"outputType"`
	StartTime            int64   `xorm:"BIGINT" json:"startTime"`
	FinishTime           int64   `xorm:"BIGINT" json:"finishTime"`
	Loss                 float64 `xorm:"DECIMAL(18,6)" json:"loss"`
	Accuracy             float64 `xorm:"DECIMAL(18,6)" json:"accuracy"`
	ModelFilePath        string  `xorm:"VARCHAR(2000)" json:"modelFilePath"`
	ModelFileMetricsPath string  `xorm:"VARCHAR(2000)" json:"modelFileMetricsPath"`
	Status               int     `xorm:"not null SMALLINT default 0" json:"status"` // 1:等待执行; 2:执行中; 3:执行完成; 4:任务分配失败; 5:任务执行失败
	CreateAt             int64   `xorm:"created" json:"createAt"`
	UpdateAt             int64   `xorm:"updated" json:"updateAt"`
}
